Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenFeatureSeqInitializer

All Superinterfaces:
  EObject, GenElementInitializer, Notifier

All Known Implementing Classes:
  GenFeatureSeqInitializerImpl

public interface GenFeatureSeqInitializer
extends GenElementInitializer

A representation of the model object 'Gen Feature Seq Initializer'. Feature sequence initializer

The following features are supported:

- `Initializers`

See Also:
  `GMFGenPackage.getGenFeatureSeqInitializer()`
** Generated **
Model:

Method Summary
`java.lang.String` `getElementClassAccessorName()` Gets the accessor name of this initializer's element class meta object within its package interface
`java.lang.String` `getElementQualifiedPackageInterfaceName()` Gets the qualified name of the package interface which contains this initializer's element class meta object
`EList` `getInitializers()` Returns the value of the 'Initializers' containment reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenElementInitializer
`getTypeModelFacet`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInitializers

    public EList getInitializers()

  Returns the value of the 'Initializers' containment reference list. The list contents are of type `GenFeatureValueSpec`. It is bidirectional and its opposite is '`Feature Seq Initializer`'. Value specifications as initializers for individual features which should be initialized in the order given by this list

  Returns:
    the value of the 'Initializers' containment reference list.
  See Also:
    `GMFGenPackage.getGenFeatureSeqInitializer_Initializers()`, `GenFeatureValueSpec.getFeatureSeqInitializer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenFeatureValueSpec" opposite="featureSeqInitializer" containment="true" required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='typeModelFacet.metaClass.ecoreClass'"

### getElementClassAccessorName

    public java.lang.String getElementClassAccessorName()

  Gets the accessor name of this initializer's element class meta object within its package interface

  ** Generated **
  Model:
    kind="operation" required="true"

### getElementQualifiedPackageInterfaceName

    public java.lang.String getElementQualifiedPackageInterfaceName()

  Gets the qualified name of the package interface which contains this initializer's element class meta object

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.